Daemon Power

The NetBSD Packages Collection: math/py-pymc3

Brief description of the package:
Bayesian modeling and probabilistic machine learning

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://github.com/pymc-devs/pymc3.

Please note that this package has a apache-2.0 license.

The package is located in the "math/py-pymc3" directory. The current source version of the package is "py38-pymc3-3.7". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for math/py-pymc3 :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: py38-Theano>=1.0.0 py38-scipy>=0.17.0 py38-pybind11-[0-9]* py38-setuptools-[0-9]* py38-expat-[0-9]* python38>=3.8 libffi>=1.20 cwrappers>=20150314 libuuid>=2.18 libffi>=3.3nb1 readline>=2.2 readline>=6.0 python38>=3.8.0 python38>=3.8.7 gcc7>=3.0 gsed>=3.0.2 py38-cython>=0.12.1 lapack>=3.9.0 blas>=3.9.0 gcc7>=7.0 blas>=3.9.0nb1 fftw>=3.0 py38-numpy>=1.17.3 py38-cython>=0.29.21 lapack>=3.9.0nb1 py38-numpy>=1.0 fftw>=3.1nb1 py38-numpy>=1.19.2nb1 py38-pybind11>=2.5.0 py38-six-[0-9]* py38-h5py>=2.7.0 hdf5>=1.10 libaec>=1.0.4 hdf5>=1.8.7 hdf5>=1.8.11 py38-pkgconfig-[0-9]* pkgconf-[0-9]* py38-matplotlib>=1.5.0 py38-Pillow>=6.2.0 py38-olefile-[0-9]* freetype2>=2.8.1 freetype2>=2.1.3 lcms2>=2.2 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 tiff>=4.0.3nb5 libimagequant>=2.8.2 libwebp>=0.2.0 giflib>=5.2.1nb3 png>=1.2.4 giflib>=5.2.1nb4 png>=1.6.0nb1 openjpeg>=2.1.0 libwebp>=0.6.0 py38-test-runner-[0-9]* py38-setuptools_scm-[0-9]* py38-toml-[0-9]* py38-test-[0-9]* py38-attrs>=17.4.0 py38-iniconfig-[0-9]* py38-packaging-[0-9]* py38-pyparsing>=2.0.2 py38-pluggy>=0.12 py38-py>=1.8.2 py38-cairo-[0-9]* cairo>=1.13.1 libXrender>=0.9.2 x11-links>=1.32 osabi-NetBSD-9.0_STABLE xorgproto>=2016.1 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 xcb-proto>=1.14 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.9.10nb3 xcb-proto>=1.4 lzo>=2.01 fontconfig>=2.11.91 fontconfig>=2.1nb2 pixman>=0.30.0 pixman>=0.25.2 fontconfig>=2.13.1nb1 cairo>=1.0.0nb2 cairo>=1.16.0nb2 py38-cycler>=0.10 py38-dateutil>=2.1 py38-six>=1.5 py38-kiwisolver>=1.0.1 py38-pyparsing>=2.2.0 py38-certifi-[0-9]* py38-numpy>=1.13.0 py38-pandas>=0.18.0 py38-bottleneck-[0-9]* py38-dateutil>=2.6.1 py38-matplotlib-[0-9]* py38-numexpr-[0-9]* py38-pytz>=2017.2 py38-scipy>=0.7 py38-sqlite3-[0-9]* py38-tables>=2.2 py38-cython-[0-9]* py38-numexpr>=2.6.2 py38-mock>=2.0 py38-six>=1.7 py38-six>=1.9.0 blosc>=1.12.1 lz4>=1.7.3<100 zstd>=1.3.6 lz4>=1.7.3 snappy>=1.0.5 googletest>=1.4.0 py38-patsy>=0.4.0 py38-scipy>=0.18.1 py38-tqdm>=4.8.4 .

This package requires the following package(s) to run: py38-Theano>=1.0.0 py38-scipy>=0.17.0 py38-pybind11-[0-9]* py38-setuptools-[0-9]* py38-expat-[0-9]* python38>=3.8 libffi>=1.20 libuuid>=2.18 libffi>=3.3nb1 python38>=3.8.0 python38>=3.8.7 gcc7>=3.0 gsed>=3.0.2 py38-cython>=0.12.1 lapack>=3.9.0 blas>=3.9.0 gcc7>=7.0 blas>=3.9.0nb1 fftw>=3.0 py38-numpy>=1.17.3 py38-cython>=0.29.21 lapack>=3.9.0nb1 py38-numpy>=1.0 fftw>=3.1nb1 py38-numpy>=1.19.2nb1 py38-six-[0-9]* py38-h5py>=2.7.0 hdf5>=1.10 libaec>=1.0.4 hdf5>=1.8.7 hdf5>=1.8.11 py38-matplotlib>=1.5.0 py38-Pillow>=6.2.0 py38-olefile-[0-9]* freetype2>=2.8.1 freetype2>=2.1.3 lcms2>=2.2 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 tiff>=4.0.3nb5 libimagequant>=2.8.2 libwebp>=0.2.0 giflib>=5.2.1nb3 png>=1.2.4 giflib>=5.2.1nb4 png>=1.6.0nb1 openjpeg>=2.1.0 libwebp>=0.6.0 py38-cairo-[0-9]* cairo>=1.13.1 libXrender>=0.9.2 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 lzo>=2.01 fontconfig>=2.11.91 fontconfig>=2.1nb2 pixman>=0.30.0 pixman>=0.25.2 fontconfig>=2.13.1nb1 cairo>=1.0.0nb2 cairo>=1.16.0nb2 py38-cycler>=0.10 py38-dateutil>=2.1 py38-six>=1.5 py38-kiwisolver>=1.0.1 py38-pyparsing>=2.2.0 py38-certifi-[0-9]* py38-numpy>=1.13.0 py38-pandas>=0.18.0 py38-bottleneck-[0-9]* py38-dateutil>=2.6.1 py38-matplotlib-[0-9]* py38-numexpr-[0-9]* py38-pytz>=2017.2 py38-scipy>=0.7 py38-sqlite3-[0-9]* py38-tables>=2.2 py38-cython-[0-9]* py38-numexpr>=2.6.2 py38-mock>=2.0 py38-six>=1.7 py38-six>=1.9.0 blosc>=1.12.1 lz4>=1.7.3<100 zstd>=1.3.6 lz4>=1.7.3 snappy>=1.0.5 py38-patsy>=0.4.0 py38-scipy>=0.18.1 py38-tqdm>=4.8.4 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
aarch64:py36-pymc3-3.7.tgz(NetBSD 9.0)
aarch64:py37-pymc3-3.7.tgz(NetBSD 9.0)
aarch64:py38-pymc3-3.7.tgz(NetBSD 9.0)
aarch64:py36-pymc3-3.7.tgz(NetBSD 9.0)
aarch64:py37-pymc3-3.7.tgz(NetBSD 9.0)
aarch64:py38-pymc3-3.7.tgz(NetBSD 9.0)
aarch64:py36-pymc3-3.7.tgz(NetBSD 9.0)
aarch64:py37-pymc3-3.7.tgz(NetBSD 9.0)
aarch64:py38-pymc3-3.7.tgz(NetBSD 9.0)
aarch64:py39-pymc3-3.7.tgz(NetBSD 9.0)
i386:py36-pymc3-3.7.tgz(NetBSD 8.0)
i386:py37-pymc3-3.7.tgz(NetBSD 8.0)
i386:py38-pymc3-3.7.tgz(NetBSD 8.0)
i386:py36-pymc3-3.7.tgz(NetBSD 8.0)
i386:py37-pymc3-3.7.tgz(NetBSD 8.0)
i386:py38-pymc3-3.7.tgz(NetBSD 8.0)
i386:py36-pymc3-3.7.tgz(NetBSD 8.0)
i386:py37-pymc3-3.7.tgz(NetBSD 8.0)
i386:py38-pymc3-3.7.tgz(NetBSD 8.0)
i386:py39-pymc3-3.7.tgz(NetBSD 8.0)
i386:py36-pymc3-3.7.tgz(NetBSD 9.0)
i386:py37-pymc3-3.7.tgz(NetBSD 9.0)
i386:py38-pymc3-3.7.tgz(NetBSD 9.0)
i386:py36-pymc3-3.7.tgz(NetBSD 9.0)
i386:py37-pymc3-3.7.tgz(NetBSD 9.0)
i386:py38-pymc3-3.7.tgz(NetBSD 9.0)
i386:py36-pymc3-3.7.tgz(NetBSD 9.0)
i386:py37-pymc3-3.7.tgz(NetBSD 9.0)
i386:py38-pymc3-3.7.tgz(NetBSD 9.0)
i386:py39-pymc3-3.7.tgz(NetBSD 9.0)
powerpc:py36-pymc3-3.7.tgz(NetBSD 8.0)
powerpc:py37-pymc3-3.7.tgz(NetBSD 8.0)
powerpc:py38-pymc3-3.7.tgz(NetBSD 8.0)
powerpc:py36-pymc3-3.7.tgz(NetBSD 9.0)
powerpc:py37-pymc3-3.7.tgz(NetBSD 9.0)
powerpc:py38-pymc3-3.7.tgz(NetBSD 9.0)
powerpc:py36-pymc3-3.7.tgz(NetBSD 9.0)
powerpc:py37-pymc3-3.7.tgz(NetBSD 9.0)
powerpc:py38-pymc3-3.7.tgz(NetBSD 9.0)
x86_64:py36-pymc3-3.7.tgz(NetBSD 9.0)
x86_64:py37-pymc3-3.7.tgz(NetBSD 9.0)
x86_64:py38-pymc3-3.7.tgz(NetBSD 9.0)
x86_64:py39-pymc3-3.7.tgz(NetBSD 9.0)
x86_64:py36-pymc3-3.7.tgz(NetBSD 9.0)
x86_64:py37-pymc3-3.7.tgz(NetBSD 9.0)
x86_64:py38-pymc3-3.7.tgz(NetBSD 9.0)
x86_64:py36-pymc3-3.7.tgz(NetBSD 8.0)
x86_64:py37-pymc3-3.7.tgz(NetBSD 8.0)
x86_64:py38-pymc3-3.7.tgz(NetBSD 8.0)
x86_64:py36-pymc3-3.7.tgz(NetBSD 8.0)
x86_64:py37-pymc3-3.7.tgz(NetBSD 8.0)
x86_64:py38-pymc3-3.7.tgz(NetBSD 8.0)
x86_64:py38-pymc3-3.7.tgz(NetBSD 8.0)
x86_64:py36-pymc3-3.7.tgz(NetBSD 9.0)
x86_64:py37-pymc3-3.7.tgz(NetBSD 9.0)
x86_64:py38-pymc3-3.7.tgz(NetBSD 9.0)
x86_64:py36-pymc3-3.7.tgz(NetBSD 9.0)
x86_64:py37-pymc3-3.7.tgz(NetBSD 9.0)
x86_64:py38-pymc3-3.7.tgz(NetBSD 9.0)
x86_64:py36-pymc3-3.7.tgz(NetBSD 9.0)
x86_64:py37-pymc3-3.7.tgz(NetBSD 9.0)
x86_64:py38-pymc3-3.7.tgz(NetBSD 9.0)
x86_64:py39-pymc3-3.7.tgz(NetBSD 9.0)
x86_64:py36-pymc3-3.7.tgz(NetBSD 9.0)
x86_64:py37-pymc3-3.7.tgz(NetBSD 9.0)
x86_64:py38-pymc3-3.7.tgz(NetBSD 9.0)
x86_64:py39-pymc3-3.7.tgz(NetBSD 9.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]